## pytrafikverket 1.0.0

=== requirements.txt ===
aiohttp==3.9.1
attrs==23.1.0
chardet==3.0.4
idna>=2.6
idna-ssl>=1.0.1
lxml>=4.9.3
multidict==4.5.0
pip
setuptools
yarl==1.9.4

=== debian/changelog ===
pytrafikverket (1.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 19 Aug 2024 22:28:48 +0100

pytrafikverket (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077730)

 -- Edward Betts <edward@4angle.com>  Thu, 01 Aug 2024 17:39:45 +0900

=== debian/control ===
Source: pytrafikverket
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/gjohansson-ST/pytrafikverket
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pytrafikverket
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pytrafikverket.git

Package: python3-pytrafikverket
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Retrieve data from the Swedish Trafikverket API
 This library provides an interface to communicate with the Swedish Transport
 Administration (Trafikverket) API, allowing users to access various data sets
 provided by Trafikverket. It can fetch weather information from weather
 stations, train station details, train schedules, ferry routes, and other
 transportation-related information.

## pytrafikverket 1.1.1

=== debian/changelog ===
pytrafikverket (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switched the build system from setuptools to poetry.
  * Add python3-aiozoneinfo as a dependency.

 -- Edward Betts <edward@4angle.com>  Tue, 03 Dec 2024 09:07:32 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-poetry-core,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/gjohansson-ST/pytrafikverket
@@ -19,6 +19,7 @@
 Package: python3-pytrafikverket
 Architecture: all
 Depends:
+ python3-aiozoneinfo,
  ${misc:Depends},
  ${python3:Depends},
 Description: Retrieve data from the Swedish Trafikverket API

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytrafikverket


%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pytrafikverket.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pytrafikverket-$1\.tar\.gz/ \
  https://github.com/gjohansson-ST/pytrafikverket/tags .*/v?(\d\S+)\.tar\.gz
